View Issue Details

IDProjectCategoryView StatusLast Update
0025989LazarusIDEpublic2014-04-10 05:12
ReporterDerit AgustinAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformwin32OSwinxpOS Version
Product Version1.3 (SVN)Product Build 
Target Version1.2.2Fixed in Version1.2.1 (SVN) 
Summary0025989: Synedit error for undo change
Descriptioni'm make to project>new project > program
and post this code
Unit UnitA;
interface
implementation
end.
and ctrl+z to undo found this error see image
TagsNo tags attached.
Fixed in Revision44665
LazTarget1.2.2
Widgetset
Attached Files

Activities

Derit Agustin

2014-04-08 17:10

reporter  

syn1.JPG (10,450 bytes)
syn1.JPG (10,450 bytes)

Martin Friebe

2014-04-08 19:05

manager   ~0074207

Unfortunately, I can not reproduce this.

------------
"post this code "

"post" = type or paste (copy and paste) ?

------------
Can you get the error every time?

*IF* yes, please send your
  C:\Users\USERNAME\AppData\Local\lazarus\editoroptions.xml

And either record a video, of all steps:
- start Lazarus
- select project menu > new project
...

Or describe the steps in more detail.
Such as, after project>new project > program there is already text in the editor, what did you do with that text?

-------------
You may also try to run the IDE in the debugger:
- Menu Tools > Configure build lazarus
  -in box "options", enter:
      -gw
  - check "clean all"
  - Build
- Restart
- Project > Open Project: C:\lazarus\ide\lazarus.lpi
- F9 (Run)

A 2nd IDE will open.
In the 2nd IDE make the error happen

The first IDE will say "An exception occured"
In the first IDE, Menu View > Debug Windows > Callstack
Copy the content (toolbutton "copy all")

Send the copied content.

Derit Agustin

2014-04-09 08:24

reporter   ~0074218

Last edited: 2014-04-09 10:17

View 2 revisions

hi martin this video from bug see:
http://youtu.be/u_0RBX8EMZY

Martin Friebe

2014-04-09 17:23

manager   ~0074234

Thanks. Got it.

Until fixed, you should be able to prevent the error, by going to
Tools > Options > Editor > Display

and disable "Show Class/Proc Hint"

Martin Friebe

2014-04-09 18:10

manager   ~0074235

Fixed in trunk / Will be merged to 1.2.2

Please test (if released) and close if ok

Derit Agustin

2014-04-10 05:12

reporter   ~0074243

solved

Issue History

Date Modified Username Field Change
2014-04-08 17:10 Derit Agustin New Issue
2014-04-08 17:10 Derit Agustin File Added: syn1.JPG
2014-04-08 19:05 Martin Friebe LazTarget => -
2014-04-08 19:05 Martin Friebe Note Added: 0074207
2014-04-08 19:05 Martin Friebe Assigned To => Martin Friebe
2014-04-08 19:05 Martin Friebe Status new => feedback
2014-04-09 08:24 Derit Agustin Note Added: 0074218
2014-04-09 08:24 Derit Agustin Status feedback => assigned
2014-04-09 10:17 Derit Agustin Note Edited: 0074218 View Revisions
2014-04-09 17:23 Martin Friebe Note Added: 0074234
2014-04-09 18:10 Martin Friebe Fixed in Revision => 44665
2014-04-09 18:10 Martin Friebe LazTarget - => 1.2.2
2014-04-09 18:10 Martin Friebe Note Added: 0074235
2014-04-09 18:10 Martin Friebe Status assigned => resolved
2014-04-09 18:10 Martin Friebe Fixed in Version => 1.2.1 (SVN)
2014-04-09 18:10 Martin Friebe Resolution open => fixed
2014-04-09 18:10 Martin Friebe Target Version => 1.2.2
2014-04-10 05:12 Derit Agustin Note Added: 0074243
2014-04-10 05:12 Derit Agustin Status resolved => closed